Bug 1371947 - Track the client that performed readdirp
Summary: Track the client that performed readdirp
Keywords:
Status: CLOSED EOL
Alias: None
Product: GlusterFS
Classification: Community
Component: upcall
Version: 3.8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On: 1369430
Blocks: 1384459
TreeView+ depends on / blocked
 
Reported: 2016-08-31 13:45 UTC by Niels de Vos
Modified: 2017-11-07 10:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1369430
: 1384459 (view as bug list)
Environment:
Last Closed: 2017-11-07 10:38:57 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Niels de Vos 2016-08-31 13:45:54 UTC
+++ This bug was initially created as a clone of Bug #1369430 +++

Description of problem:
Currently when a client does a readdirp on directory say dir1 (containing f1 file), only the fact that client accessed dir1 is stored in upcall, but it sould also store that f1 was also accessed by that client. If not this may lead to stale cache on client side, when client caches the readdirp data alone. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

--- Additional comment from Worker Ant on 2016-08-25 06:43:57 CEST ---

REVIEW: http://review.gluster.org/15313 (upcall: Mark the clients as accessed even on readdir) posted (#1) for review on master by Poornima G (pgurusid@redhat.com)

--- Additional comment from Worker Ant on 2016-08-25 07:24:15 CEST ---

REVIEW: http://review.gluster.org/15313 (upcall: Mark the clients as accessed even on readdir) posted (#2) for review on master by Poornima G (pgurusid@redhat.com)

--- Additional comment from Worker Ant on 2016-08-25 12:41:19 CEST ---

REVIEW: http://review.gluster.org/15313 (upcall: Mark the clients as accessed even on readdir) posted (#3) for review on master by Poornima G (pgurusid@redhat.com)

--- Additional comment from Worker Ant on 2016-08-25 13:30:52 CEST ---

REVIEW: http://review.gluster.org/15313 (upcall: Mark the clients as accessed even on readdir entries) posted (#4) for review on master by Poornima G (pgurusid@redhat.com)

--- Additional comment from Worker Ant on 2016-08-26 06:05:55 CEST ---

REVIEW: http://review.gluster.org/15313 (upcall: Mark the clients as accessed even on readdir entries) posted (#5) for review on master by Poornima G (pgurusid@redhat.com)

--- Additional comment from Worker Ant on 2016-08-27 08:15:53 CEST ---

REVIEW: http://review.gluster.org/15313 (upcall: Mark the clients as accessed even on readdir entries) posted (#6) for review on master by Poornima G (pgurusid@redhat.com)

--- Additional comment from Worker Ant on 2016-08-30 07:20:24 CEST ---

REVIEW: http://review.gluster.org/15313 (upcall: Mark the clients as accessed even on readdir entries) posted (#7) for review on master by Poornima G (pgurusid@redhat.com)

--- Additional comment from Worker Ant on 2016-08-30 07:20:44 CEST ---

REVIEW: http://review.gluster.org/15313 (upcall: Mark the clients as accessed even on readdir entries) posted (#8) for review on master by Poornima G (pgurusid@redhat.com)

--- Additional comment from Worker Ant on 2016-08-30 13:28:39 CEST ---

REVIEW: http://review.gluster.org/15313 (upcall: Mark the clients as accessed on readdirp entries) posted (#9) for review on master by Poornima G (pgurusid@redhat.com)

--- Additional comment from Worker Ant on 2016-08-31 15:44:06 CEST ---

COMMIT: http://review.gluster.org/15313 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit 9d8bbbb8f68a0c45bfbb2e891cdbd9b9a1121259
Author: Poornima G <pgurusid@redhat.com>
Date:   Thu Aug 25 10:09:20 2016 +0530

    upcall: Mark the clients as accessed on readdirp entries
    
    Currently when a client performs a readdirp it is not stored
    in upcall, as one of the clients that have accessed the files.
    Hence, when any other client modifies the file, the client that
    had performed readdirp will not get any notifications.
    
    Fix this by adding the clients to upcall database when they
    perform readdirp.
    
    Change-Id: I7767f1e26bf1bd1f67702a6d01f8aa64526ccc46
    BUG: 1369430
    Signed-off-by: Poornima G <pgurusid@redhat.com>
    Reviewed-on: http://review.gluster.org/15313
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: soumya k <skoduri@redhat.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>

Comment 1 Niels de Vos 2016-09-12 05:37:09 UTC
All 3.8.x bugs are now reported against version 3.8 (without .x). For more information, see http://www.gluster.org/pipermail/gluster-devel/2016-September/050859.html

Comment 2 Niels de Vos 2017-11-07 10:38:57 UTC
This bug is getting closed because the 3.8 version is marked End-Of-Life. There will be no further updates to this version. Please open a new bug against a version that still receives bugfixes if you are still facing this issue in a more current release.


Note You need to log in before you can comment on or make changes to this bug.